# mistralclient.commands.v2.base module

class mistralclient.commands.v2.base.MistralExecutionLister(app: App, app_args: Namespace | None, cmd_name: str | None = None)

  Bases: `MistralLister`

  get_parser(parsed_args)

    Return an `argparse.ArgumentParser`.

  log: logging.Logger = <Logger mistralclient.commands.v2.base.MistralExecutionLister (WARNING)>
  take_action(parsed_args)

    Run command.

    Return a tuple containing the column names and an iterable containing the data to be listed.

class mistralclient.commands.v2.base.MistralFormatter

  Bases: `object`

  COLUMNS = []
  classmethod fields()
  static format(instance=None, lister=False)
  classmethod format_list(instance=None)
  classmethod headings()

class mistralclient.commands.v2.base.MistralLister(app: App, app_args: Namespace | None, cmd_name: str | None = None)

  Bases: `Lister`

  get_parser(parsed_args)

    Return an `argparse.ArgumentParser`.

  log: logging.Logger = <Logger mistralclient.commands.v2.base.MistralLister (WARNING)>
  take_action(parsed_args)

    Run command.

    Return a tuple containing the column names and an iterable containing the data to be listed.

mistralclient.commands.v2.base.cut(string, length=25)

mistralclient.commands.v2.base.get_duration_str(start_dt_str, end_dt_str)

  Builds a human friendly duration string.

  Parameters:

    - start_dt_str – Start date time as an ISO string.

    - end_dt_str – End date time as an ISO string. If empty, duration is calculated from the current time.

  Returns:

    Duration(delta) string.

mistralclient.commands.v2.base.get_filters(parsed_args)

mistralclient.commands.v2.base.wrap(string, width=25)

this page last updated: 2026-03-26 21:31:21

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug